# $Revision: 1.20 $, $Date: 2010/11/16 14:31:20 $
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	PHP_Fork
Summary:	%{_pearname} - Wrapper for pcntl_fork() with Java-like API
Summary(pl.UTF-8):	%{_pearname} - Wrapper dla pcntl_fork() z API zbliżonym do Javy
Name:		php-pear-%{_pearname}
Version:	0.3.2
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	fe0abe4e78a2700b74b263960ab28c46
URL:		http://pear.php.net/package/PHP_Fork/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pcntl
Requires:	php-pear >= 4:1.0-7
Requires:	php-posix
Requires:	php-shmop
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP_Fork class. Wrapper around the pcntl_fork() stuff with a API set
like Java language. Practical usage is done by extending this class,
and re-defining the run() method.

This way PHP developers can enclose logic into a class that extends
PHP_Fork, then execute the start() method that forks a child process.
Communications with the forked process is ensured by using a Shared
Memory Segment; by using a user-defined signal and this shared memory
developers can access to child process methods that returns a
serializable variable.

The shared variable space can be accessed with the two methods:
- void setVariable($name, $value)
- mixed getVariable($name)

$name must be a valid PHP variable name; $value must be a variable or
a serializable object.

Resources (db connections, streams, etc.) cannot be serialized and so
they're not correctly handled.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa PHP_Fork. Wrapper dla zbioru funkcji pcntl_fork() i pochodnych z
API zbliżonym do języka Javy. Praktyczne zastosowanie polega na
rozszerzeniu tej klasy i przedefiniowaniu metody run().

Dzięki temu deweloper PHP może zamknąć warstwę logiczną wewnątrz klasy
rozszerzającej PHP_Fork, a następnie uruchomić metodę start() która
wywoła proces potomny. Komunikacja z nowo powstałym procesem jest
zapewniona za pomocą Segmentu Współdzielonej Pamięci (Shared Memory
Segment); używając zdefiniowanych przez użytkownika sygnałów i tejże
dzielonej pamięci deweloperzy mają dostęp do metod procesu potomnego,
które zwraca zmienną dająca się zserializować.

Dostęp do dzielonej przestrzeni zmiennych jest możliwy poprzez dwie
metody:
- void setVariable($name, $value)
- mixed getVariable($name)

$name musi być poprawną zmienną PHP; $value musi być zmienną lub
obiektem możliwym do serializacji.

Zasoby (połączenia z bazami danych, strumienie, itp) nie mogą być
zserializowane i jako takie nie są poprawnie obsługiwane.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/PHP/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PHP_Fork.spec,v $
Revision 1.20  2010/11/16 14:31:20  glen
- up to 0.3.2

Revision 1.19  2010/08/21 19:08:21  glen
- updated deps with pearize.sh
- release 2

Revision 1.18  2008/12/27 01:21:19  adamg
- updated to 0.3.1

Revision 1.17  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.15  2006/11/26 14:11:37  glen
- rel 3: use php(extension) virtuals

Revision 1.14  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.13  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.12  2005/10/05 20:59:19  glen
- rel 2

Revision 1.11  2005/09/22 19:03:43  glen
- new pear packaging. doesn't build

Revision 1.10  2005/03/27 00:47:29  adamg
- updated to 0.3.0

Revision 1.9  2005/01/04 14:58:46  adamg
- updated to 0.2.0

Revision 1.8  2004/12/04 14:09:10  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.7  2004/05/30 13:13:52  adamg
- fixed english information about status of the package

Revision 1.6  2004/03/29 18:11:09  qboosh
- more pl fixes

Revision 1.5  2004/03/29 17:21:17  ankry
- spaces -> tabs

Revision 1.4  2004/03/29 16:37:53  adamg
- pl description spelling fixes

Revision 1.3  2004/03/29 16:11:17  adamg
- one more unneeded line in en description removed
- pl description added
- proper URL

Revision 1.2  2004/03/29 15:57:10  adamg
- shorter en summary
- added pl summary
- more readable en description (also removed unnecessary portions)

Revision 1.1  2004/03/29 15:48:26  adamg
- initial import
